within ;
model RPfrhyb1
  ArgesimLib.SwitchablePendulum switchablePendulum annotation (Placement(transformation(extent={{-36,42},
            {-56,62}})));
  ArgesimLib.SwitchableFreefall switchableFall(N=4, s0={1,0,0,0},
    sOff={1,0,0,0})                                               annotation (Placement(transformation(extent={{2,42},{
            22,62}})));
  ArgesimLib.SystemSwitch systemSwitch annotation (Placement(transformation(extent={{-26,20},
            {-6,40}})));
  ArgesimLib.computeRPPlotVariables computeRPPlotVariables annotation (Placement(transformation(extent={{-26,-14},
            {-6,6}})));
equation
  connect(systemSwitch.new2, switchableFall.newState) annotation (Line(points={{-12,
          40.2},{-12,58},{2,58}},                                                                            color={0,0,127}));
  connect(systemSwitch.new1, switchablePendulum.newState) annotation (Line(
        points={{-22.2,40.2},{-22.2,58},{-36,58}}, color={0,0,127}));
  connect(switchablePendulum.stateOut, systemSwitch.state1) annotation (Line(
        points={{-56,58},{-62,58},{-62,12},{-22,12},{-22,20}},
                                                             color={0,0,127}));
  connect(switchableFall.stateOut, systemSwitch.state2) annotation (Line(points={{22,58},
          {28,58},{28,12},{-10,12},{-10,20}},       color={0,0,127}));
  connect(systemSwitch.active1, switchablePendulum.active) annotation (Line(
        points={{-20,40.2},{-20,46},{-36,46}},            color={255,0,255}));
  connect(systemSwitch.active2, switchableFall.active) annotation (Line(points={{-9.8,
          40.2},{-9.8,46},{2,46}},         color={255,0,255}));
  connect(computeRPPlotVariables.isSwinging, switchablePendulum.active) annotation (Line(points={{-26.6,
          -4},{-30,-4},{-30,46},{-36,46}},                                                                                                 color={
          255,0,255}));
  connect(switchablePendulum.stateOut, computeRPPlotVariables.s1) annotation (
      Line(points={{-56,58},{-62,58},{-62,-22},{-22,-22},{-22,-14}}, color={0,0,
          127}));
  connect(switchableFall.stateOut, computeRPPlotVariables.s2) annotation (Line(
        points={{22,58},{28,58},{28,-22},{-10,-22},{-10,-14}},
                                                             color={0,0,127}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(
      StopTime=10,
      __Dymola_NumberOfIntervals=2000,
      Tolerance=1e-10,
      __Dymola_Algorithm="Dassl"));
end RPfrhyb1;
