within ;
model RPkihyb1
  ArgesimLib.SwitchableFreefall switchableFall(N=4, s0={1,0,0,0},
    sOff={1,0,0,0})                                                annotation (Placement(transformation(extent={{12,44},{32,64}})));
  ArgesimLib.SystemSwitch systemSwitch  annotation (Placement(transformation(extent={{-26,12},{-6,32}})));
  ArgesimLib.computeRPPlotVariables computeRPPlotVariables  annotation (Placement(transformation(extent={{-22,-32},{-2,-12}})));
  ArgesimLib.SwitchablePendulumKick switchablePendulumKick(gamma=-21.9911)  annotation (Placement(transformation(extent={{-42,44},{-62,64}})));
equation
  connect(systemSwitch.new2, switchableFall.newState)  annotation (Line(points={{-12,32.2},{-12,60},{12,60}}, color={0,0,127}));
  connect(switchableFall.stateOut, systemSwitch.state2) annotation (Line(points=
         {{32,60},{40,60},{40,0},{-10,0},{-10,12}}, color={0,0,127}));
  connect(systemSwitch.active2, switchableFall.active) annotation (Line(points=
          {{-9.8,32.2},{-9.8,48},{12,48}}, color={255,0,255}));
  connect(switchableFall.stateOut, computeRPPlotVariables.s2) annotation (Line(
        points={{32,60},{40,60},{40,-40},{-6,-40},{-6,-32}}, color={0,0,127}));
  connect(systemSwitch.active1, switchablePendulumKick.active) annotation (Line(
        points={{-20,32.2},{-20,48},{-42,48}}, color={255,0,255}));
  connect(systemSwitch.new1, switchablePendulumKick.newState) annotation (Line(
        points={{-22.2,32.2},{-22.2,60},{-42,60}}, color={0,0,127}));
  connect(computeRPPlotVariables.isSwinging, switchablePendulumKick.active)
    annotation (Line(points={{-22.6,-22},{-34,-22},{-34,48},{-42,48}}, color={255,
          0,255}));
  connect(switchablePendulumKick.stateOut, systemSwitch.state1) annotation (
      Line(points={{-62,60},{-68,60},{-68,0},{-22,0},{-22,12}}, color={0,0,127}));
  connect(switchablePendulumKick.stateOut, computeRPPlotVariables.s1)
    annotation (Line(points={{-62,60},{-68,60},{-68,-40},{-18,-40},{-18,-32}},
        color={0,0,127}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(
      StopTime=20,
      __Dymola_NumberOfIntervals=20001,
      Tolerance=1e-10,
      __Dymola_Algorithm="Dassl"));
end RPkihyb1;
